<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA6000.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
include('cat_agencias_CL.php');
	$varible_clase = new clase();
	$varible_clase->n_reg=strtoupper($_POST["tap1"]);
	$varible_clase->agdescrip=strtoupper($_POST["tap2"]);
	$varible_clase->adireccion=strtoupper($_POST["adireccion"]);
	$varible_clase->atelefono=$_POST["atelefono"];
	$varible_clase->amail=$_POST["amail"];
	$varible_clase->acontacto=strtoupper($_POST["acontacto"]);
	$varible_clase->afax=$_POST["afax"];
	$varible_clase->atipo=strtoupper($_POST["select"]);
	$varible_clase->ingdia=strtoupper($_POST["ingdia"]);
	$varible_clase->ingmes=strtoupper($_POST["ingmes"]);
	$varible_clase->ingano=strtoupper($_POST["ingano"]);
	$varible_clase->paxdia=strtoupper($_POST["paxdia"]);
	$varible_clase->paxmes=strtoupper($_POST["paxmes"]);
	$varible_clase->paxano=strtoupper($_POST["paxano"]);
	$varible_clase->ctosdia=strtoupper($_POST["ctosdia"]);
	$varible_clase->ctosmes=strtoupper($_POST["ctosmes"]);
	$varible_clase->ctosano=strtoupper($_POST["ctosano"]);

	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=cat_agencias_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){	 
		echo '<h2>NUEVA AGENCIA AGREGADA:'.$_POST['tap2'].'</h2>';
		echo '<meta content="1; url=cat_agencias_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR LA AGENCIA</h2>';
		echo $res;
		echo '<meta content="10; url=cat_agencias_PR.php" HTTP-EQUIV="REFRESH">';
	}    
?>
</body>
</html>